import Awesomplete from '../vendor/awesomplete';

const city = document.getElementById('search-city');

if (city) {
    const cityBox = new Awesomplete(city, {
        minChars: 0,
        maxItems: 1000,
        sort: false
    });

    city.addEventListener('focus', () => {
        cityBox.evaluate();
    });
}

const query = document.getElementById('search-query');

if (query) {
    const queryBox = new Awesomplete(query, {
        minChars: 0,
        maxItems: 1000,
        sort: false
    });

    query.addEventListener('focus', () => {
        queryBox.evaluate();
    });
}

const search = document.getElementById('search');

if (search) {
    search.addEventListener('submit', (e) => {
        if (!city.value && !query.value) {
            city.focus();
            e.preventDefault();
        }
    }, false);
}

const node = document.getElementById('form-city');
const cityID = document.getElementById('form-city-id');

if (node) {
    const nodeBox = new Awesomplete(node, {
        minChars: 0,
        maxItems: 1000,
        sort: false,

        replace: function (suggestion) {
            this.input.value = suggestion.label;

            if (cityID) {
                cityID.value = suggestion.value;
            }
        }
    });

    node.addEventListener('focus', () => {
        nodeBox.evaluate();
    });
}
